%define upstream_name    ExtUtils-Install
%define upstream_version 2.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    yet another framework for writing test scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description

*STOP!* If you're just getting started writing tests, have a look at
Test::Simple first. This is a drop in replacement for Test::Simple which
you can switch to once you get the hang of basic testing.

The purpose of this module is to provide a wide range of testing utilities.
Various ways to say "ok" with better diagnostics, facilities to skip tests,
test future features and compare complicated data structures. While you can
do almost anything with a simple 'ok()' function, it doesn't provide good
diagnostic output.

I love it when a plan comes together
    Before anything else, you need a testing plan. This basically declares
    how many tests your script is going to run to protect against premature
    failure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Dec 29 2022 tv <tv> 2.220.0-1.mga9
+ Revision: 1927710
- update to 2.22

* Mon Mar 21 2022 umeabot <umeabot> 2.200.0-2.mga9
+ Revision: 1813756
- Mageia 9 Mass Rebuild

* Sat Dec 19 2020 tv <tv> 2.200.0-1.mga8
+ Revision: 1661222
- update to 2.20

* Wed Sep 16 2020 tv <tv> 2.180.0-1.mga8
+ Revision: 1626824
- update to 2.18

* Sun Jun 21 2020 tv <tv> 2.160.0-1.mga8
+ Revision: 1598283
- update to 2.16

* Wed Feb 12 2020 umeabot <umeabot> 2.140.0-4.mga8
+ Revision: 1504434
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.140.0-3.mga7
+ Revision: 1283644
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.140.0-2.mga7
+ Revision: 1164309
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 2.140.0-1.mga7
+ Revision: 1155914
- update to 2.14

* Sun Jun 19 2016 pterjan <pterjan> 2.40.0-3.mga6
+ Revision: 1027189
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.40.0-2.mga6
+ Revision: 966617
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 2.40.0-1.mga6
+ Revision: 846215
- update to 2.04

* Wed Oct 15 2014 umeabot <umeabot> 1.680.0-4.mga5
+ Revision: 741869
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.680.0-3.mga5
+ Revision: 725849
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1.680.0-2.mga5
+ Revision: 684681
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 sander85 <sander85> 1.680.0-1.mga5
+ Revision: 634233
- update to 1.68

* Fri Apr 25 2014 jquelin <jquelin> 1.670.0-1.mga5
+ Revision: 617764
- update to 1.67

* Thu Apr 17 2014 jquelin <jquelin> 1.660.0-1.mga5
+ Revision: 615369
- update to 1.66

* Tue Apr 15 2014 jquelin <jquelin> 1.650.0-1.mga5
+ Revision: 614572
- update to 1.65

* Tue Apr 01 2014 jquelin <jquelin> 1.640.0-1.mga5
+ Revision: 611091
- update to 1.64

* Thu Mar 13 2014 jquelin <jquelin> 1.630.0-1.mga5
+ Revision: 602787
- update to 1.63

* Fri Oct 18 2013 umeabot <umeabot> 1.540.0-3.mga4
+ Revision: 511430
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.540.0-2.mga3
+ Revision: 367016
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.540.0-1.mga1
+ Revision: 24229
- fix specs
- imported package perl-ExtUtils-Install

